com.google.cloud.dataflow.sdk.runners

## Class DataflowJobAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.cloud.dataflow.sdk.runners.DataflowJobException
        - - com.google.cloud.dataflow.sdk.runners.DataflowJobAlreadyExistsException

All Implemented Interfaces:
  Serializable

    public class DataflowJobAlreadyExistsException
    extends DataflowJobException

An exception that is thrown if the unique job name constraint of the Dataflow service is broken because an existing job with the same job name is currently active. The `DataflowPipelineJob` contained within this exception contains information about the pre-existing job.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DataflowJobAlreadyExistsException(DataflowPipelineJob job, String message)` Create a new `DataflowJobAlreadyExistsException` with the specified `DataflowPipelineJob` and message.

### Method Summary

### Methods inherited from class com.google.cloud.dataflow.sdk.runners.DataflowJobException

`getJob`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataflowJobAlreadyExistsException

    public DataflowJobAlreadyExistsException(DataflowPipelineJob job,
                                             String message)

Create a new `DataflowJobAlreadyExistsException` with the specified `DataflowPipelineJob` and message.